Bug 271134 - Unexpected exception log in code model tests: "First destroy was at..."
Unexpected exception log in code model tests: "First destroy was at..."
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
PC Solaris
: P2 (vote)
: Dev
Assigned To: Vladimir Voskresensky
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 05:10 UTC by Alexander Simon
Modified: 2017-07-26 02:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2017-07-21 05:10:42 UTC
Log contains:
do-test:
    [junit] Java HotSpot(TM) 64-Bit Server VM warning: ignoring option PermSize=32m; support was removed in 8.0
    [junit] Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=200m; support was removed in 8.0
    [junit] Testsuite: org.netbeans.modules.cnd.completion.CCCompletion2Test
    [junit] Jul 20, 2017 5:38:09 PM org.clank.support.NativeTrace printStackTraceOnce
    [junit] INFO: First destroy was at
    [junit] java.lang.Exception: First destroy was at
    [junit] 	at org.clank.support.NativeTrace$CreateDestroy$Tracker.set$destroyed(NativeTrace.java:682)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.$destroy(StdVectorString.java:586)
    [junit] 	at org.clang.basic.DiagnosticOptions.$destroy(DiagnosticOptions.java:393)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.llvm.adt.RefCountedBase.DoDestroy(RefCountedBase.java:86)
    [junit] 	at org.llvm.adt.RefCountedBase.Release(RefCountedBase.java:76)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtrInfo.release(IntrusiveRefCntPtrInfo.java:43)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.release(IntrusiveRefCntPtr.java:336)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.$destroy(IntrusiveRefCntPtr.java:212)
    [junit] 	at org.clang.frontend.DiagnosticRenderer.$destroy(DiagnosticRenderer.java:94)
    [junit] 	at org.clang.frontend.TextDiagnostic.$destroy(TextDiagnostic.java:67)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.clank.java.std_ptr$unique_ptr.reset(std_ptr.java:494)
    [junit] 	at org.clank.java.std_ptr$unique_ptr.reset(std_ptr.java:484)
    [junit] 	at org.clang.frontend.TextDiagnosticPrinter.EndSourceFile(TextDiagnosticPrinter.java:110)
    [junit] 	at org.clang.tools.services.impl.DefaultDiagnosticConsumer.EndSourceFile(DefaultDiagnosticConsumer.java:85)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.dumpPreprocessedEntry(PreprocessorSupport.java:307)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocessEntries(PreprocessorSupport.java:240)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocess(PreprocessorSupport.java:183)
    [junit] 	at org.clang.tools.services.ClankPreprocessorServices.preprocess(ClankPreprocessorServices.java:66)
    [junit] 	at org.netbeans.modules.cnd.apt.impl.support.clank.ClankDriverImpl.preprocessImpl(ClankDriverImpl.java:152)
    [junit] 	at org.netbeans.modules.cnd.apt.support.ClankDriver.preprocess(ClankDriver.java:120)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessWithHandler(ClankTokenStreamProducer.java:297)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getPreprocessorOutputForInterestedFile(ClankTokenStreamProducer.java:273)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessAndGetFileTokenStream(ClankTokenStreamProducer.java:231)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getTokenStreamForParsing(ClankTokenStreamProducer.java:196)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.doParse(FileImpl.java:1557)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl._parse(FileImpl.java:1190)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsedImpl(FileImpl.java:766)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsed(FileImpl.java:681)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:148)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:74)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
    [junit] 	at java.lang.Thread.run(Thread.java:748)
    [junit] 
    [junit] Jul 20, 2017 5:38:09 PM org.clank.support.NativeTrace printStackTraceOnce
    [junit] INFO: Tracked class org.clank.java.std$vectorString created for <null>
    [junit] java.lang.Exception: Tracked class org.clank.java.std$vectorString created for <null>
    [junit] 	at org.clank.support.NativeTrace$CreateDestroy$Tracker.<init>(NativeTrace.java:658)
    [junit] 	at org.clank.support.NativeTrace$CreateDestroy$Tracker.<init>(NativeTrace.java:664)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.<init>(StdVectorString.java:39)
    [junit] 	at org.clank.java.std$vectorString.<init>(std.java:6738)
    [junit] 	at org.clang.basic.DiagnosticOptions.<init>(DiagnosticOptions.java:271)
    [junit] 	at org.clang.tools.services.impl.PreprocessorInitializer.<clinit>(PreprocessorInitializer.java:98)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.dumpPreprocessedEntry(PreprocessorSupport.java:291)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocessEntries(PreprocessorSupport.java:240)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocess(PreprocessorSupport.java:183)
    [junit] 	at org.clang.tools.services.ClankPreprocessorServices.preprocess(ClankPreprocessorServices.java:66)
    [junit] 	at org.netbeans.modules.cnd.apt.impl.support.clank.ClankDriverImpl.preprocessImpl(ClankDriverImpl.java:152)
    [junit] 	at org.netbeans.modules.cnd.apt.support.ClankDriver.preprocess(ClankDriver.java:120)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessWithHandler(ClankTokenStreamProducer.java:297)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getPreprocessorOutputForInterestedFile(ClankTokenStreamProducer.java:273)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessAndGetFileTokenStream(ClankTokenStreamProducer.java:231)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getTokenStreamForParsing(ClankTokenStreamProducer.java:196)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.doParse(FileImpl.java:1557)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl._parse(FileImpl.java:1190)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsedImpl(FileImpl.java:766)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsed(FileImpl.java:681)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:148)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:74)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
    [junit] 	at java.lang.Thread.run(Thread.java:748)
    [junit] 
    [junit] Jul 20, 2017 5:38:09 PM org.netbeans.modules.dlight.libs.common.DLightLibsCommonLogger printStackTraceOnce
    [junit] INFO: Already destroyed class org.clank.java.std$vectorString
    [junit] java.lang.IllegalStateException: Already destroyed class org.clank.java.std$vectorString
    [junit] 	at org.clank.support.NativeTrace$CreateDestroy$Tracker.check$Alive(NativeTrace.java:645)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.checkAlive(StdVectorString.java:1141)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.size(StdVectorString.java:783)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.$destroy(StdVectorString.java:584)
    [junit] 	at org.clang.basic.DiagnosticOptions.$destroy(DiagnosticOptions.java:393)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.llvm.adt.RefCountedBase.DoDestroy(RefCountedBase.java:86)
    [junit] 	at org.llvm.adt.RefCountedBase.Release(RefCountedBase.java:76)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtrInfo.release(IntrusiveRefCntPtrInfo.java:43)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.release(IntrusiveRefCntPtr.java:336)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.$destroy(IntrusiveRefCntPtr.java:212)
    [junit] 	at org.clang.frontend.TextDiagnosticPrinter.$destroy(TextDiagnosticPrinter.java:71)
    [junit] 	at org.clang.tools.services.impl.PreprocessorInitializer.$destroy(PreprocessorInitializer.java:313)
    [junit] 	at org.clang.tools.services.impl.AdvancedPreprocessorInitializer.$destroy(AdvancedPreprocessorInitializer.java:169)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.dumpPreprocessedEntry(PreprocessorSupport.java:316)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocessEntries(PreprocessorSupport.java:240)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocess(PreprocessorSupport.java:183)
    [junit] 	at org.clang.tools.services.ClankPreprocessorServices.preprocess(ClankPreprocessorServices.java:66)
    [junit] 	at org.netbeans.modules.cnd.apt.impl.support.clank.ClankDriverImpl.preprocessImpl(ClankDriverImpl.java:152)
    [junit] 	at org.netbeans.modules.cnd.apt.support.ClankDriver.preprocess(ClankDriver.java:120)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessWithHandler(ClankTokenStreamProducer.java:297)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getPreprocessorOutputForInterestedFile(ClankTokenStreamProducer.java:273)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessAndGetFileTokenStream(ClankTokenStreamProducer.java:231)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getTokenStreamForParsing(ClankTokenStreamProducer.java:196)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.doParse(FileImpl.java:1557)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl._parse(FileImpl.java:1190)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsedImpl(FileImpl.java:766)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsed(FileImpl.java:681)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:148)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:74)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
    [junit] 	at java.lang.Thread.run(Thread.java:748)
    [junit] Caused by: java.lang.Exception: First destroy was at
    [junit] 	at org.clank.support.NativeTrace$CreateDestroy$Tracker.set$destroyed(NativeTrace.java:682)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.$destroy(StdVectorString.java:586)
    [junit] 	at org.clang.basic.DiagnosticOptions.$destroy(DiagnosticOptions.java:393)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.llvm.adt.RefCountedBase.DoDestroy(RefCountedBase.java:86)
    [junit] 	at org.llvm.adt.RefCountedBase.Release(RefCountedBase.java:76)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtrInfo.release(IntrusiveRefCntPtrInfo.java:43)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.release(IntrusiveRefCntPtr.java:336)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.$destroy(IntrusiveRefCntPtr.java:212)
    [junit] 	at org.clang.frontend.DiagnosticRenderer.$destroy(DiagnosticRenderer.java:94)
    [junit] 	at org.clang.frontend.TextDiagnostic.$destroy(TextDiagnostic.java:67)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.clank.java.std_ptr$unique_ptr.reset(std_ptr.java:494)
    [junit] 	at org.clank.java.std_ptr$unique_ptr.reset(std_ptr.java:484)
    [junit] 	at org.clang.frontend.TextDiagnosticPrinter.EndSourceFile(TextDiagnosticPrinter.java:110)
    [junit] 	at org.clang.tools.services.impl.DefaultDiagnosticConsumer.EndSourceFile(DefaultDiagnosticConsumer.java:85)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.dumpPreprocessedEntry(PreprocessorSupport.java:307)
    [junit] 	... 17 more
    [junit] 
    [junit] java.lang.IllegalStateException: Already destroyed class org.clank.java.std$vectorString
    [junit] 	at org.clank.support.NativeTrace$CreateDestroy$Tracker.check$Alive(NativeTrace.java:645)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.checkAlive(StdVectorString.java:1141)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.size(StdVectorString.java:783)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.$destroy(StdVectorString.java:584)
    [junit] 	at org.clang.basic.DiagnosticOptions.$destroy(DiagnosticOptions.java:393)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.llvm.adt.RefCountedBase.DoDestroy(RefCountedBase.java:86)
    [junit] 	at org.llvm.adt.RefCountedBase.Release(RefCountedBase.java:76)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtrInfo.release(IntrusiveRefCntPtrInfo.java:43)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.release(IntrusiveRefCntPtr.java:336)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.$destroy(IntrusiveRefCntPtr.java:212)
    [junit] 	at org.clang.frontend.TextDiagnosticPrinter.$destroy(TextDiagnosticPrinter.java:71)
    [junit] 	at org.clang.tools.services.impl.PreprocessorInitializer.$destroy(PreprocessorInitializer.java:313)
    [junit] 	at org.clang.tools.services.impl.AdvancedPreprocessorInitializer.$destroy(AdvancedPreprocessorInitializer.java:169)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.dumpPreprocessedEntry(PreprocessorSupport.java:316)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocessEntries(PreprocessorSupport.java:240)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.preprocess(PreprocessorSupport.java:183)
    [junit] 	at org.clang.tools.services.ClankPreprocessorServices.preprocess(ClankPreprocessorServices.java:66)
    [junit] 	at org.netbeans.modules.cnd.apt.impl.support.clank.ClankDriverImpl.preprocessImpl(ClankDriverImpl.java:152)
    [junit] 	at org.netbeans.modules.cnd.apt.support.ClankDriver.preprocess(ClankDriver.java:120)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessWithHandler(ClankTokenStreamProducer.java:297)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getPreprocessorOutputForInterestedFile(ClankTokenStreamProducer.java:273)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.preprocessAndGetFileTokenStream(ClankTokenStreamProducer.java:231)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.parser.clank.ClankTokenStreamProducer.getTokenStreamForParsing(ClankTokenStreamProducer.java:196)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.doParse(FileImpl.java:1557)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl._parse(FileImpl.java:1190)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsedImpl(FileImpl.java:766)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.FileImpl.ensureParsed(FileImpl.java:681)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:148)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:74)
    [junit] 	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
    [junit] 	at java.lang.Thread.run(Thread.java:748)
    [junit] Caused by: java.lang.Exception: First destroy was at
    [junit] 	at org.clank.support.NativeTrace$CreateDestroy$Tracker.set$destroyed(NativeTrace.java:682)
    [junit] 	at org.clank.java.stdimpl.aliases.StdVectorString.$destroy(StdVectorString.java:586)
    [junit] 	at org.clang.basic.DiagnosticOptions.$destroy(DiagnosticOptions.java:393)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.llvm.adt.RefCountedBase.DoDestroy(RefCountedBase.java:86)
    [junit] 	at org.llvm.adt.RefCountedBase.Release(RefCountedBase.java:76)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtrInfo.release(IntrusiveRefCntPtrInfo.java:43)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.release(IntrusiveRefCntPtr.java:336)
    [junit] 	at org.llvm.adt.IntrusiveRefCntPtr.$destroy(IntrusiveRefCntPtr.java:212)
    [junit] 	at org.clang.frontend.DiagnosticRenderer.$destroy(DiagnosticRenderer.java:94)
    [junit] 	at org.clang.frontend.TextDiagnostic.$destroy(TextDiagnostic.java:67)
    [junit] 	at org.clank.support.Destructors.$destroy(Destructors.java:23)
    [junit] 	at org.clank.java.std_ptr$unique_ptr.reset(std_ptr.java:494)
    [junit] 	at org.clank.java.std_ptr$unique_ptr.reset(std_ptr.java:484)
    [junit] 	at org.clang.frontend.TextDiagnosticPrinter.EndSourceFile(TextDiagnosticPrinter.java:110)
    [junit] 	at org.clang.tools.services.impl.DefaultDiagnosticConsumer.EndSourceFile(DefaultDiagnosticConsumer.java:85)
    [junit] 	at org.clang.tools.services.impl.PreprocessorSupport.dumpPreprocessedEntry(PreprocessorSupport.java:307)
    [junit] 	... 17 more
Comment 1 Vladimir Voskresensky 2017-07-25 09:32:33 UTC
Can not reproduce with new clank running CCCompletion2Test suite.
http://hg.netbeans.org/cnd-main/rev/c3a7d7a72c4e
http://hg.netbeans.org/cnd-main/rev/0eb9218b9010
Comment 2 Quality Engineering 2017-07-26 02:09:18 UTC
Integrated into 'main-silver', will be available in build *201707260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c3a7d7a72c4e
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #271134 - Unexpected exception log in code model tests: "First destroy was at..."
- clank binary update


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo